> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/sdn/pricing/querycloudonrampprice.md).

# QueryCloudOnrampPrice

## 1. 接口描述

本接口(QueryCloudOnrampPrice)用于云连接带宽询价。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称          | 必选 | 类型                                                            | 描述                                                                         |
| ------------- | -- | ------------------------------------------------------------- | -------------------------------------------------------------------------- |
| cloudType     | 是  | [CloudType](/api-reference/cn/sdn/datastructure.md#cloudtype) | <p>云连接类型。</p><p>可选值：AWS</p>                                                |
| dcId          | 是  | String                                                        | 云连接的数据中心ID。                                                                |
| bandwidthMbps | 是  | Integer                                                       | <p>云连接的最大带宽限制。</p><p>默认值是10，单位：Mbps。</p><p>可选值范围：\[10, +)</p><p>默认值：10</p> |
| vlanId        | 否  | Integer                                                       | <p>VLAN ID。</p><p>可选值范围：\[2, 4000]</p>                                     |
| cloudRegionId | 否  | String                                                        | <p>公有云区域ID。</p><p>Google云无需传参。</p>                                         |

## 3. 响应结果

| 参数名称      | 类型                                                            | 描述                                                       |
| --------- | ------------------------------------------------------------- | -------------------------------------------------------- |
| requestId | String                                                        | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| price     | [PriceItem](/api-reference/cn/sdn/datastructure.md#priceitem) | 价格信息。                                                    |
| stock     | Integer                                                       | 可用库存数量。                                                  |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 对AWS云连接带宽进行询价，包含库存。**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: QueryCloudOnrampPrice
<Common Request Params>

Request：
{
    "dcId": "SIN1",
    "cloudType": "AWS",
    "vlanId": 100,
    "cloudRegionId": "eu-west-1",
    "bandwidthMbps": 10
}

Response：
{   
  "requestId": "TDB181167-C39F-4C3E-8E88-B8FDE755FDC0",
  "response": {
    "requestId":"TDB181167-C39F-4C3E-8E88-B8FDE755FDC0",
    "price":        {
            "unitPrice":1.65,
            "originalPrice":null,
            "discountPrice":null,
            "discount":100,
            "stepPrices":null,
            "discountUnitPrice":1.65,
            "chargeUnit":"DAY",
            "amountUnit":null
        },
    "stock": 5000
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                             | 说明            |
| ------- | ------------------------------- | ------------- |
| 404     | INVALID\_CLOUD\_NOT\_SELLABLE   | 该数据中心不支持此云类型。 |
| 404     | INVALID\_DATACENTER\_NOT\_FOUND | 指定的数据中心不存在。   |
